FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Debian > Debian Development

 
 
LinkBack Thread Tools
 
Old 02-18-2009, 10:18 PM
Guillem Jover
 
Default file-roller: Can't open .deb by default (aka should recommend binutils)

Hi!

On Sat, 2009-02-14 at 12:31:14 +0100, Frank Lin PIAT wrote:
> In Bug 515175, Frank Lin PIAT wrote:
> > Package: file-roller
> > Version: 2.22.4-2
> > Severity: normal
> >
> > On a default gnome-desktop system (Lenny), .deb files (application/x-deb)
> > are associated with file-roller, but it can't open it.
> >
> > Please recommend or depend on the package binutils (which provides
> > /bin/ar).
>
> 1. Should file-roller (and similar programs) use /bin/ar or dpkg-deb to
> extract the contents of archives?
> If it should use /bin/ar, then wouldn't it be sensible to move ar
> to another package than binutils, so we don't need to install on
> all gnome dsktops?

Ideally it should try to use dpkg-deb if that's present, and fallback
to use ar otherwise.

> On the other hand, if (Gnome) file-roller were to use dpkg-deb, it
> would be probably be broken on rpm based distributions.

AFAIK on rpm based distros ar is also generally provided by the binutils
package. So this is something that has to be fixed by the package
metadata, either making file-roller.rpm depend on binutils.rpm or
dpkg.rpm (if they have that).

regards,
guillem


--
To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
 

Thread Tools




All times are GMT. The time now is 08:53 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org